Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.pict
Class PICTDecoderFactory

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiDecoderFactorySupport
            |
            +--com.sun.jimi.core.decoder.pict.PICTDecoderFactory

public class PICTDecoderFactory
extends JimiDecoderFactorySupport

Decode factory for PICT

Field Summary
`static java.lang.String[]` | `FILENAME_EXTENSIONS`
`static java.lang.String` | `FORMAT_NAME`
`static byte[]` | `FORMAT_SIGNATURE`
`static java.lang.String[]` | `MIME_TYPES`

Constructor Summary
`PICTDecoderFactory()`

Method Summary
`JimiDecoder` | `createDecoder()`
`java.lang.String[]` | `getFilenameExtensions()`
`java.lang.String` | `getFormatName()`
`byte[]` | `getFormatSignature()`
`java.lang.String[]` | `getMimeTypes()`

Methods inherited from class com.sun.jimi.core.JimiDecoderFactorySupport
`getFormatSignatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_SIGNATURE

    public static final byte[] FORMAT_SIGNATURE

### MIME_TYPES

    public static final java.lang.String[] MIME_TYPES

### FILENAME_EXTENSIONS

    public static final java.lang.String[] FILENAME_EXTENSIONS

### FORMAT_NAME

    public static final java.lang.String FORMAT_NAME

Constructor Detail

### PICTDecoderFactory

    public PICTDecoderFactory()

Method Detail

### getFormatSignature

    public byte[] getFormatSignature()

  Overrides:
    getFormatSignature in class JimiDecoderFactorySupport

### createDecoder

    public JimiDecoder createDecoder()

### getMimeTypes

    public java.lang.String[] getMimeTypes()

### getFilenameExtensions

    public java.lang.String[] getFilenameExtensions()

### getFormatName

    public java.lang.String getFormatName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD